﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class RadGrid_Columns_HideColumn : System.Web.UI.Page
{
    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GeneratingTable();
    }
    private DataTable GeneratingTable()
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("IsNew");

        for (int i = 0; i < 20; i++)
        {
            table.Rows.Add(i, true);
        }

        return table;
    }
    protected void RadGrid1_PreRender(object sender, EventArgs e)
    {
        if (!IsPostBack)
            HideColumns();
    }

    List<string> HiddenColumns = new List<string>() { "IsNew" };

    private void HideColumns()
    {

        //set the visibility of columns defined in HiddenColumns to false
        if (RadGrid1.MasterTableView.Items.Count >= 0)
        {

            foreach (var item in HiddenColumns.Where(item => !String.IsNullOrEmpty(item)))
            {
                try
                {
                    var column = RadGrid1.MasterTableView.GetColumn(item);
                    if (column != null) column.Visible = false;

                }
                catch (Exception e)
                {

                }
            }
        }
    }

}